### Method

# EBackend SourceRegistryServer load_file

since: 3.6

#### Declaration [src]

    ESource*
    e_source_registry_server_load_file (
      ESourceRegistryServer* server,
      GFile* file,
      ESourcePermissionFlags flags,
      GError** error
    )

#### Description [src]

Creates an `ESource` for a native key file and adds it to `server`. If an error occurs, the function returns `NULL` and sets `error`.

The returned `ESource` is referenced for thread-safety. Unreference the `ESource` with `g_object_unref()` when finished with it.

Available since: 3.6

#### Parameters

`file`

  Type: `GFile`

  The data source key file to load.

  The data is owned by the caller of the method.

`flags`

  Type: `ESourcePermissionFlags`

  Initial permission flags for the data source.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ESource`

The newly-added `ESource`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.